/*
 *  mydsp.h
 *
 *  by Joel David Miller
 *
 *  modification history
 *  --------------------
 *  6/23/93	JDM	created
*/

#import	"sdspsys.h"		/* SDSP system functions	*/

/*
 * MyDSPStruct - This structure contains data acquired from doing DSP
 *   operations along with other pieces of relevant information described
 *   below.
*/

typedef struct
{
  int		FrameNum;	/* number of data frames		*/
  int		FramePts;	/* number of points in a frame		*/
  int		FrameInc;	/* increment of frame for DSP operation	*/
  int		*Scalar;	/* scalar of data for each frame - log2	*/
  int		*Data1;		/* real valued data			*/
  int		*Data2;		/* imaginary valued data		*/
} MyDSPStruct;

extern	SDSPError	MyDSPSFFT( const SNDSoundStruct*, MyDSPStruct**, int,
			           int );
