/*
 *  sdspsys_error.h - error handling for the SDSP System.
 *
 *  by Joel David Miller, 1/15/92
 *
 *  modification history
 *  --------------------
 *  1/15/92	JDM	created
 *  1/21/92	JDM	added CMD_REQ, HOST_CMD, and SDSP_ to ERR
 *  6/22/92	JDM	merged SDSPError and SDSP_IO_Error
 *  6/30/92	JDM	added load band errors
 *  2/11/93	JDM	separated SDSP and SPED DSP errors
 *  2/19/93	JDM	added SDSP_ERR_BASE
 *  6/30/93	JDM	added _MOD_PATH, _MOD_LEN, _END_LIST, and _STREAM_DIS
*/

#define	SDSP_ERR_BASE	0	/* base of SDSPError values */

/*----------------------------------------------------------------------*/
/* SDSPError - enum of errors which can occur while using SDSP		*/
/*   functions.								*/

typedef enum
{
  SDSP_ERR_NONE = SDSP_ERR_BASE,
  SDSP_ERR,
  SDSP_ERR_ACQUIRE,
  SDSP_ERR_CMD,
  SDSP_ERR_FROM,
  SDSP_ERR_TO,
  SDSP_ERR_PROTO,
  SDSP_ERR_REPLY,
  SDSP_ERR_READ,
  SDSP_ERR_WRITE,
  SDSP_ERR_LOAD,
  SDSP_ERR_BOOT,
  SDSP_ERR_DSP_R,
  SDSP_ERR_DSP_W,
  SDSP_ERR_R_MSG,
  SDSP_ERR_P_MSG,
  SDSP_ERR_CMD_REQ,
  SDSP_ERR_HOST_CMD,
  SDSP_ERR_MOD_PATH,
  SDSP_ERR_MOD_LEN,
  SDSP_ERR_STREAM_DIS,
  SDSP_ERR_END_LIST
} SDSPError;

char	*SDSPErrorStr( SDSPError );

